Obter template
curl --request GET \
--url https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Store-Id: <x-store-id>'const options = {
method: 'GET',
headers: {'X-Store-Id': '<x-store-id>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId}"
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"template": {
"id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"storeId": "22222222-2222-4222-8222-222222222222",
"channel": "email",
"name": "PIX pendente",
"subject": "Seu PIX ainda está disponível",
"remetente_nome": "Loja",
"remetente_email": "loja@example.com",
"html": null,
"message": null,
"createdAt": "2026-09-24T14:00:00.000Z",
"updatedAt": "2026-09-24T14:00:00.000Z"
}
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Referência HTTP
Obter template
GET
/
api
/
v1
/
automation
/
templates
/
{templateId}
Obter template
curl --request GET \
--url https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Store-Id: <x-store-id>'const options = {
method: 'GET',
headers: {'X-Store-Id': '<x-store-id>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/automation/templates/{templateId}"
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"template": {
"id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"storeId": "22222222-2222-4222-8222-222222222222",
"channel": "email",
"name": "PIX pendente",
"subject": "Seu PIX ainda está disponível",
"remetente_nome": "Loja",
"remetente_email": "loja@example.com",
"html": null,
"message": null,
"createdAt": "2026-09-24T14:00:00.000Z",
"updatedAt": "2026-09-24T14:00:00.000Z"
}
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}